Bug 598516 - cluster_authentication_soak test fails with "framing-error: Reserved bits not zero"
cluster_authentication_soak test fails with "framing-error: Reserved bits not...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity urgent
: 1.3
: ---
Assigned To: Alan Conway
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 10:45 EDT by Alan Conway
Modified: 2010-10-22 08:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 08:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2010-06-01 10:45:22 EDT
Description of problem:

Running cluster_authentication_soak test repeatedly we get a failure with "reserved bits not 0"

Version-Release number of selected component (if applicable):

SVN r949767

How reproducible:

Failed after 5 runs, took about 1hr30

Steps to Reproduce:

while ./cluster_authentication_soak 500 0 ; do true; done
  
Actual results: Failed after 5 iterations

Expected results: Run indefinitely


Additional info:
Comment 1 Alan Conway 2010-06-02 11:56:45 EDT
Fix in trunk r950608 and in release repo 
http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=b63360247ac0a9a8faf5a47c2dc4c53e079125c0
Comment 2 Gordon Sim 2010-06-08 03:03:40 EDT
Still present: http://mrg18.lab.bos.redhat.com:2765/qpid-cpp-test/697/test.out.gz

LAST_REVISION=952307

soak-1: 2010-06-07 19:37:00 error cluster(10.16.43.0:9949 READY) aborting connection 10.16.43.0:9968-1029: framing-error: Reserved bits not zero (qpid/framing/AMQFrame.cpp:112)
soak-2: 2010-06-07 19:37:00 error cluster(10.16.43.0:9968 READY) aborting connection 10.16.43.0:9968-1029: framing-error: Reserved bits not zero (qpid/framing/AMQFrame.cpp:112)
soak-0: 2010-06-07 19:37:00 error cluster(10.16.43.0:9926 READY) aborting connection 10.16.43.0:9968-1029: framing-error: Reserved bits not zero (qpid/framing/AMQFrame.cpp:112)
qpid-perftest pid 15408 hanging: killed.
FAIL: run_cluster_authentication_soak
Comment 3 Alan Conway 2010-06-08 08:21:20 EDT
Yes, will be fixed by fix for bug 577362.
Comment 4 Alan Conway 2010-06-08 11:38:41 EDT
Fixed on trunk r952692 and in release repo: http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=c13cc742f961cb771f008cd19edf38cb43ee6aeb
Comment 5 Jan Sarenik 2010-07-26 10:43:43 EDT
All my current attempts to run cluster_authentication_soak
from cpp/src/tests resulted in Segfault so far.

(gdb) thread apply all bt

Thread 1 (Thread 5587):
#0  0x00002b1268cf35ca in ____strtol_l_internal (nptr=0x0, endptr=0x0, 
    base=10, group=0, loc=0x2b1269010580) at ../stdlib/strtol_l.c:298
#1  0x0000000000408b93 in strtol (argc=<value optimized out>, 
    argv=<value optimized out>) at /usr/include/stdlib.h:336
#2  atoi (argc=<value optimized out>, argv=<value optimized out>)
    at /usr/include/stdlib.h:404
#3  main (argc=<value optimized out>, argv=<value optimized out>)
    at cluster_authentication_soak.cpp:207
Comment 6 Jan Sarenik 2010-07-27 05:25:48 EDT
Above traceback is from x86_64, following one is from i386:

(gdb) thread apply all bt 

Thread 1 (Thread 3824):
#0  0xf76fe50b in ____strtol_l_internal () from /lib/libc.so.6
#1  0xf76fe26f in __strtol_internal () from /lib/libc.so.6
#2  0x0804fc74 in strtol (argc=Cannot access memory at address 0x0
) at /usr/include/stdlib.h:336
#3  atoi (argc=Cannot access memory at address 0x0
) at /usr/include/stdlib.h:404
#4  main (argc=Cannot access memory at address 0x0
) at cluster_authentication_soak.cpp:207
Comment 7 Alan Conway 2010-07-28 10:34:10 EDT
This is a problem with the test code. I'm working on a fix.
Comment 8 Alan Conway 2010-07-28 11:25:59 EDT
You can get the existing test to work as follows:

1. Ensure qpid-cpp-server is installed so the SASL DB will be in its place.
2. In src/tests: sudo ./cluster_authentication_soak <n>
where <n> is the number of iterations to run.

You need to run the test as root so it has access to the sasl DB.

On the trunk this has been improved so you don't need root access and the test is run as part of make check, but I don't want to bring those changes to the release branch as it includes changes to the broker.

Note You need to log in before you can comment on or make changes to this bug.